<div>
    <h2 id="page-heading">
        <span>CIS Report by Infrastructure</span>

        <button hidden id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-cis-report-infra" [routerLink]="['/cis-report-infra/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new CIS Report Infra
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="cISReportInfras?.length === 0">
        <span>No cISReportInfras found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="cISReportInfras && cISReportInfras.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="infrastructure"><span>Infrastructure</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalPass"><span>Total Pass</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalFail"><span>Total Fail</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalWarn"><span>Total Warn</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalInfo"><span>Total Info</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let cISReportInfra of cISReportInfras ;trackBy: trackId">
                    <td><a [routerLink]="['/cis-report-infra', cISReportInfra.id, 'view']">{{ cISReportInfra.id }}</a></td>
                    <td>{{ cISReportInfra.infrastructure }}</td>
                    <td>{{ cISReportInfra.totalPass }}</td>
                    <td>{{ cISReportInfra.totalFail }}</td>
                    <td>{{ cISReportInfra.totalWarn }}</td>
                    <td>{{ cISReportInfra.totalInfo }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/cis-report-infra', cISReportInfra.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit" hidden
                                    [routerLink]="['/cis-report-infra', cISReportInfra.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" hidden (click)="delete(cISReportInfra)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="cISReportInfras && cISReportInfras.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
